IF OBJECT_ID('dbo.IMPORTA_CUSTO_MEDIO', 'U') IS NOT NULL
    DROP TABLE dbo.IMPORTA_CUSTO_MEDIO
GO

CREATE TABLE IMPORTA_CUSTO_MEDIO
(
    CD_CTR INT NOT NULL,
	CD_EMP INT NOT NULL,
    CD_FILIAL INT NOT NULL,
    DT_MOVTO DATETIME NOT NULL,
    CD_PROD INT NOT NULL,
    VL_CUSTO MONEY NOT NULL,
    CD_USU INT NOT NULL,
    STS_IMPORTACAO TINYINT NOT NULL DEFAULT 0, -- 0 = não processado, 1 = processado
    DT_CADASTRO DATETIME NOT NULL DEFAULT GETDATE()
);
GO

CREATE INDEX IX_IMPORTA_CUSTO_MEDIO_EmpFilialProd
ON dbo.IMPORTA_CUSTO_MEDIO(CD_EMP, CD_FILIAL, CD_PROD)
GO
